## org.eclipse.datatools.sqltools.result.internal.core
Class ReExecutionRegistryReader

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.core.ReExecutionRegistryReader

    public class ReExecutionRegistryReader

extends java.lang.Object

Utility class to read the extensions

Author:
  Dafan Yang

Constructor Summary
`ReExecutionRegistryReader()`

Method Summary
`static IReExecutionRunnable` `readProperReExecutionHandler(OperationCommand cmd)` Given a operation, this method is to find a approporiate IReExecutionRunnable handler to re-execute this operaion.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReExecutionRegistryReader

    public ReExecutionRegistryReader()

Method Detail

### readProperReExecutionHandler

    public static IReExecutionRunnable readProperReExecutionHandler(OperationCommand cmd)

  Given a operation, this method is to find a approporiate IReExecutionRunnable handler to re-execute this operaion.

  Parameters:
    `cmd` - the operation command
  Returns:
    a runnable class which implements `IReExecutionRunnable`